\name{lift27kToHg19}
\alias{lift27kToHg19}
\alias{hm27ToHg19}
\title{Take a GenomicRatioSet or similar annotated to hg18 and reannotate it}

\description{
  lift27kToHg19 is a convenience function that does exactly what it says: 
  takes an hm27 dataset (typically downloaded from GEO and coerced into a 
  GenomicRatioSet, as by chromophobe::fetchGEOMethylationDataset()), and 
  replaces the hg18-derived coordinates with hg19 coordinates from this package.
}

\author{Tim Triche, Jr.}

\examples{

  ## not run:
  ##
  ## library(chromophobe)
  ## CMML_HM27 <- fetchGEOMethylationDataset('GSE31600')
  ## CMML_HM27 <- lift27kToHg19(CMML_HM27)
  ## CMML_HM27$CMML <- grepl('CMML', CMML_HM27$title)
  ## CMML_HM27$TET2 <- grepl('TET2-mut', CMML_HM27$characteristics_ch1.3)
  ## CMML_HM27$gender <- getXplots(CMML_HM27)
  ## 
  ## Compare to, say, TET2 mutants in GSE32251 or GSE58477, if you wish...

}
